<?php if (!defined('VB_ENTRY')) die('Access denied.');
/*========================================================================*\
|| ###################################################################### ||
|| # vBulletin 5.7.5 Patch Level 3 - Licence Number VBF082E485
|| # ------------------------------------------------------------------ # ||
|| # Copyright 2000-2024 MH Sub I, LLC dba vBulletin. All Rights Reserved.  # ||
|| # This file may not be redistributed in whole or significant part.   # ||
|| # ----------------- VBULLETIN IS NOT FREE SOFTWARE ----------------- # ||
|| # http://www.vbulletin.com | http://www.vbulletin.com/license.html   # ||
|| ###################################################################### ||
\*========================================================================*/

class Testpackage_Api_Email extends vB_Api
{
	public function nameFromEmail($email)
	{
		if (stripos($email, 'gmail'))
		{
			$name = 'Google';
		}
		else if (stripos($email, 'yahoo'))
		{
			$name = 'Yahoo';
		}
		else
		{
			$name = '';
		}

		return array('name' => $name);
	}

	public function nameFromUserId($userid)
	{
		//note that we use the internal class rather than the API because of permissions
		//we don't want to expose the email to just anybody.  Note, however, that
		//we need to make sure that we don't expose anything problematic from our
		//own API classes.
		$user = vB_User::fetchUserinfo($userid);
		return $this->nameFromEmail($user['email']);
	}
}

/*=========================================================================*\
|| #######################################################################
|| # Downloaded: 22:04, Wed Apr 3rd 2024
|| # CVS: $RCSfile$ - $Revision: 101016 $
|| #######################################################################
\*=========================================================================*/
