<?php
/*========================================================================*\
|| ###################################################################### ||
|| # vBulletin 5.7.5 Patch Level 3 - Licence Number VBF082E485
|| # ------------------------------------------------------------------ # ||
|| # Copyright 2000-2024 MH Sub I, LLC dba vBulletin. All Rights Reserved.  # ||
|| # This file may not be redistributed in whole or significant part.   # ||
|| # ----------------- VBULLETIN IS NOT FREE SOFTWARE ----------------- # ||
|| # http://www.vbulletin.com | http://www.vbulletin.com/license.html   # ||
|| ###################################################################### ||
\*========================================================================*/


class vB_Upgrade_500a21 extends vB_Upgrade_Version
{
	/** Dummy step to show long next step message */
	public function step_1()
	{
		$this->skip_message();

		$this->long_next_step();
	}

	/**
	 * Removing channel widget
	 */
	public function step_2()
	{
		$assertor = vB::getDbAssertor();

		$channelWidget = $assertor->getRow('widget', array('guid' => 'vbulletin-widget_3-4eb423cfd69533.90014617'));

		if ($channelWidget)
		{
			// remove all instances
			$assertor->delete('widgetinstance', array('widgetid' => $channelWidget['widgetid']));

			// remove widget
			$assertor->delete('widget', array('widgetid' => $channelWidget['widgetid']));
		}
		else
		{
			$this->skip_message();
		}
	}
}

/*=========================================================================*\
|| #######################################################################
|| # Downloaded: 22:04, Wed Apr 3rd 2024
|| # CVS: $RCSfile$ - $Revision: 112183 $
|| #######################################################################
\*=========================================================================*/
