<?php
/*========================================================================*\
|| ###################################################################### ||
|| # vBulletin 5.7.5 Patch Level 3 - Licence Number VBF082E485
|| # ------------------------------------------------------------------ # ||
|| # Copyright 2000-2024 MH Sub I, LLC dba vBulletin. All Rights Reserved.  # ||
|| # This file may not be redistributed in whole or significant part.   # ||
|| # ----------------- VBULLETIN IS NOT FREE SOFTWARE ----------------- # ||
|| # http://www.vbulletin.com | http://www.vbulletin.com/license.html   # ||
|| ###################################################################### ||
\*========================================================================*/


class vB_Upgrade_500b19 extends vB_Upgrade_Version
{
	public function step_1()
	{
		$this->skip_message();
	}

	/** Update profile picture size to 200x200 */
	public function step_2()
	{
		$this->show_message($this->phrase['version']['500b19']['update_profile_picture_size']);

		vB::getDbAssertor()->update('usergroup',
			[
				'avatarmaxwidth' => 200,
				'avatarmaxheight' => 200,
			],
			[
				'avatarmaxwidth' => 165,
				'avatarmaxheight' => 165,
			]
		);
	}
}

/*=========================================================================*\
|| #######################################################################
|| # Downloaded: 22:04, Wed Apr 3rd 2024
|| # CVS: $RCSfile$ - $Revision: 112183 $
|| #######################################################################
\*=========================================================================*/
