<?php
/*========================================================================*\
|| ###################################################################### ||
|| # vBulletin 5.7.5 Patch Level 3 - Licence Number VBF082E485
|| # ------------------------------------------------------------------ # ||
|| # Copyright 2000-2024 MH Sub I, LLC dba vBulletin. All Rights Reserved.  # ||
|| # This file may not be redistributed in whole or significant part.   # ||
|| # ----------------- VBULLETIN IS NOT FREE SOFTWARE ----------------- # ||
|| # http://www.vbulletin.com | http://www.vbulletin.com/license.html   # ||
|| ###################################################################### ||
\*========================================================================*/

class vB_Upgrade_522a2 extends vB_Upgrade_Version
{
	public function step_1()
	{
		$this->show_message(sprintf($this->phrase['vbphrase']['update_table_x'], 'channel', 1, 1));

		$forumoptionbits = vB::getDatastore()->getValue('bf_misc_forumoptions');
		$db = vB::getDbAssertor();

		//if its not a category it should allow threads
		$rows = $db->select('vBForum:channel',
			array(
				'category' => 0,
				array('field' => 'options', 'value' => $forumoptionbits['cancontainthreads'] , 'operator' => vB_dB_Query::OPERATOR_NAND)
			),
			array('nodeid', 'options')
		);

		foreach($rows AS $row)
		{
			$db->update('vBForum:channel',
				array('options' => $row['options'] | $forumoptionbits['cancontainthreads']),
				array('nodeid' => $row['nodeid'])
			);
		}
	}
}

/*======================================================================*\
|| ####################################################################
|| # Downloaded: 22:04, Wed Apr 3rd 2024
|| # CVS: $RCSfile$ - $Revision: 112177 $
|| ####################################################################
\*======================================================================*/
