<?php
/*========================================================================*\
|| ###################################################################### ||
|| # vBulletin 5.7.5 Patch Level 3 - Licence Number VBF082E485
|| # ------------------------------------------------------------------ # ||
|| # Copyright 2000-2024 MH Sub I, LLC dba vBulletin. All Rights Reserved.  # ||
|| # This file may not be redistributed in whole or significant part.   # ||
|| # ----------------- VBULLETIN IS NOT FREE SOFTWARE ----------------- # ||
|| # http://www.vbulletin.com | http://www.vbulletin.com/license.html   # ||
|| ###################################################################### ||
\*========================================================================*/

class vB_Upgrade_573a3 extends vB_Upgrade_Version
{
	public function step_1()
	{
		//this should be an integer value but gets installed as empty string instead.  This mostly works but in currently
		//PHP versions 0 == '' is not longer true
		$this->show_message(sprintf($this->phrase['vbphrase']['update_table_x'], TABLE_PREFIX . 'setting', 1, 1));

		$assertor = vB::getDbAssertor();
		$row = $assertor->getRow('setting', ['varname' => 'attachfile']);
		if ($row['value'] === '')
		{
			vB_Upgrade::createAdminSession();
			$this->set_option('attachfile', '', 0);
		}
	}
}

/*======================================================================*\
|| ####################################################################
|| # Downloaded: 22:04, Wed Apr 3rd 2024
|| # CVS: $RCSfile$ - $Revision$
|| ####################################################################
\*======================================================================*/
