<?php
/*========================================================================*\
|| ###################################################################### ||
|| # vBulletin 5.7.5 Patch Level 3 - Licence Number VBF082E485
|| # ------------------------------------------------------------------ # ||
|| # Copyright 2000-2024 MH Sub I, LLC dba vBulletin. All Rights Reserved.  # ||
|| # This file may not be redistributed in whole or significant part.   # ||
|| # ----------------- VBULLETIN IS NOT FREE SOFTWARE ----------------- # ||
|| # http://www.vbulletin.com | http://www.vbulletin.com/license.html   # ||
|| ###################################################################### ||
\*========================================================================*/


class vB_Upgrade_512a5 extends vB_Upgrade_Version
{
	// VBV-1375 -- remove unwanted widget
	public function step_1()
	{
		// widget guid: vbulletin-widget_groupnodes-4eb423cfd6dea7.34930864
		// template: widget_sgnodes
		// title phrase: widget_sgnodes_widgettitle

		$assertor = vB::getDbAssertor();

		$widgetid = $assertor->getRow('widget', array('guid' => 'vbulletin-widget_groupnodes-4eb423cfd6dea7.34930864'));
		if ($widgetid)
		{
			$this->show_message($this->phrase['version'][$this->SHORT_VERSION]['removing_unused_widget']);

			$widgetid = $widgetid['widgetid'];

			// delete widget instances
			$assertor->delete('widgetinstance', array('widgetid' => $widgetid));

			// delete the widget
			$assertor->delete('widget', array('guid' => 'vbulletin-widget_groupnodes-4eb423cfd6dea7.34930864'));

			// delete the widget's template
			$assertor->delete('template', array('title' => 'widget_sgnodes'));

			// delete the widget title phrase
			$assertor->delete('phrase', array('varname' => 'widget_sgnodes_widgettitle'));

			$assertor->delete('widgetdefinition', array('widgetid' => $widgetid));
		}
		else
		{
			$this->skip_message();
		}
	}
}

/*=========================================================================*\
|| #######################################################################
|| # Downloaded: 22:04, Wed Apr 3rd 2024
|| # CVS: $RCSfile$ - $Revision: 112178 $
|| #######################################################################
\*=========================================================================*/
