<?php
/*========================================================================*\
|| ###################################################################### ||
|| # vBulletin 5.7.5 Patch Level 3 - Licence Number VBF082E485
|| # ------------------------------------------------------------------ # ||
|| # Copyright 2000-2024 MH Sub I, LLC dba vBulletin. All Rights Reserved.  # ||
|| # This file may not be redistributed in whole or significant part.   # ||
|| # ----------------- VBULLETIN IS NOT FREE SOFTWARE ----------------- # ||
|| # http://www.vbulletin.com | http://www.vbulletin.com/license.html   # ||
|| ###################################################################### ||
\*========================================================================*/

class vB_Upgrade_523b2 extends vB_Upgrade_Version
{
	public function step_1()
	{
		$mapper = new vB_Stylevar_Mapper();

		// Add mappings
		$mapper->addMapping('pmchat_chatwindow_content_background', 'vbmessenger_chatwindow_content_background', 'vbulletin', true);
		$mapper->addMapping('pmchat_chatwindow_message_mine_background', 'vbmessenger_chatwindow_message_mine_background', 'vbulletin', true);
		$mapper->addMapping('pmchat_chatwindow_message_theirs_background', 'vbmessenger_chatwindow_message_theirs_background', 'vbulletin', true);
		$mapper->addMapping('pmchat_chatwindow_participants_background', 'vbmessenger_chatwindow_participants_background', 'vbulletin', true);
		$mapper->addMapping('pmchat_chatwindow_widget_background', 'vbmessenger_chatwindow_widget_background', 'vbulletin', true);

		// Do the processing
		if ($mapper->load() AND $mapper->process())
		{
			$this->show_message($this->phrase['version']['408']['mapping_customized_stylevars']);
			$mapper->processResults();
		}
		else
		{
			$this->skip_message();
		}
	}
}

/*======================================================================*\
|| ####################################################################
|| # Downloaded: 22:04, Wed Apr 3rd 2024
|| # CVS: $RCSfile$ - $Revision: 112177 $
|| ####################################################################
\*======================================================================*/
