<?php
/*========================================================================*\
|| ###################################################################### ||
|| # vBulletin 5.7.5 Patch Level 3 - Licence Number VBF082E485
|| # ------------------------------------------------------------------ # ||
|| # Copyright 2000-2024 MH Sub I, LLC dba vBulletin. All Rights Reserved.  # ||
|| # This file may not be redistributed in whole or significant part.   # ||
|| # ----------------- VBULLETIN IS NOT FREE SOFTWARE ----------------- # ||
|| # http://www.vbulletin.com | http://www.vbulletin.com/license.html   # ||
|| ###################################################################### ||
\*========================================================================*/

class vB_Upgrade_554a2 extends vB_Upgrade_Version
{
	public function step_1()
	{
		$this->show_message($this->phrase['version']['554a2']['update_imagetype']);
		$current = vB::getDatastore()->getOption('imagetype');

		if (empty($current))
		{
			vB::getDatastore()->setOption('imagetype', 'GD', true);
		}
	}

	public function step_2()
	{
		$this->show_message($this->phrase['version']['552a4']['updating_widgetinstance_adminconfig']);

		$db = vB::getDbAssertor();
		$row = $db->getRow('vBInstall:getWidgetInstanceAdminDetails', array());
		//this should already be changed to utf8.  If it isn't let's not change it to avoid
		//breaking the field -- especially the serialization.
		if (stripos($row['Collation'], 'utf8_') === 0)
		{
			$db->assertQuery('vBInstall:makeWidgetInstanceConfUtf8mb4');
		}
	}
}

/*======================================================================*\
|| ####################################################################
|| # Downloaded: 22:04, Wed Apr 3rd 2024
|| # CVS: $RCSfile$ - $Revision: 112174 $
|| ####################################################################
\*======================================================================*/
