<?php
/*========================================================================*\
|| ###################################################################### ||
|| # vBulletin 5.7.5 Patch Level 3 - Licence Number VBF082E485
|| # ------------------------------------------------------------------ # ||
|| # Copyright 2000-2024 MH Sub I, LLC dba vBulletin. All Rights Reserved.  # ||
|| # This file may not be redistributed in whole or significant part.   # ||
|| # ----------------- VBULLETIN IS NOT FREE SOFTWARE ----------------- # ||
|| # http://www.vbulletin.com | http://www.vbulletin.com/license.html   # ||
|| ###################################################################### ||
\*========================================================================*/

class vB_Upgrade_571a3 extends vB_Upgrade_Version
{
	public function step_1()
	{
		$this->drop_field2('session',	'profileupdate');
	}

	public function step_2()
	{
		$assertor = vB::getDbAssertor();
		$check = $assertor->getRow('setting', ['varname' => 'errorlogdatabase']);
		if (!empty($check['value']))
		{
			$this->add_adminmessage(
				'errorlogdatabase_moved_to_config_set_x',
				[
					'dismissible' => 1,
					'status'      => 'undone',
				],
				false,
				[$check['value']]
			);
		}
		else
		{
			$this->skip_message();
		}
	}

	public function step_3()
	{
		$this->remove_datastore_entry('noavatarperms');
	}
}

/*======================================================================*\
|| ####################################################################
|| # Downloaded: 22:04, Wed Apr 3rd 2024
|| # CVS: $RCSfile$ - $Revision$
|| ####################################################################
\*======================================================================*/
