<?php
/*========================================================================*\
|| ###################################################################### ||
|| # vBulletin 5.7.5 Patch Level 3 - Licence Number VBF082E485
|| # ------------------------------------------------------------------ # ||
|| # Copyright 2000-2024 MH Sub I, LLC dba vBulletin. All Rights Reserved.  # ||
|| # This file may not be redistributed in whole or significant part.   # ||
|| # ----------------- VBULLETIN IS NOT FREE SOFTWARE ----------------- # ||
|| # http://www.vbulletin.com | http://www.vbulletin.com/license.html   # ||
|| ###################################################################### ||
\*========================================================================*/

class vB_Upgrade_572a3 extends vB_Upgrade_Version
{
	// Add new bbcode_data table
	public function step_1()
	{
		$this->run_query(
			sprintf($this->phrase['vbphrase']['create_table'], TABLE_PREFIX . 'bbcode_data'),
			"
			CREATE TABLE " . TABLE_PREFIX . "bbcode_data (
				`id`          INT UNSIGNED NOT NULL AUTO_INCREMENT,
				`nodeid`      INT UNSIGNED NOT NULL,
				`bbcode_type` VARCHAR(40) NOT NULL DEFAULT '',
				`hash`        CHAR(32) NOT NULL DEFAULT '',
				`data`        MEDIUMTEXT NOT NULL DEFAULT '',
				`expires`     INT UNSIGNED NOT NULL DEFAULT '0',
				PRIMARY KEY (`id`),
				INDEX `bbcode_lookup` (`bbcode_type`, `nodeid`),
				UNIQUE INDEX `data_pooling` (`nodeid`, `bbcode_type`, `hash`)
			) ENGINE = " . $this->hightrafficengine . "
			",
			self::MYSQL_ERROR_TABLE_EXISTS
		);
	}
}

/*======================================================================*\
|| ####################################################################
|| # Downloaded: 22:04, Wed Apr 3rd 2024
|| # CVS: $RCSfile$ - $Revision$
|| ####################################################################
\*======================================================================*/
