/*
 =======================================================================*\
|| ###################################################################### ||
|| # vBulletin 5.7.5 Patch Level 3
|| # ------------------------------------------------------------------ # ||
|| # Copyright 2000-2024 MH Sub I, LLC dba vBulletin. All Rights Reserved.  # ||
|| # This file may not be redistributed in whole or significant part.   # ||
|| # ----------------- VBULLETIN IS NOT FREE SOFTWARE ----------------- # ||
|| # http://www.vbulletin.com | http://www.vbulletin.com/license.html   # ||
|| ###################################################################### ||
\*========================================================================
 jQuery throttle / debounce - v1.1 - 3/7/2010
 http://benalman.com/projects/jquery-throttle-debounce-plugin/

 Copyright (c) 2010 "Cowboy" Ben Alman
 Dual licensed under the MIT and GPL licenses.
 http://benalman.com/about/license/
*/
vBulletin.ensureObj("Responsive");
(function(d){function w(){d(".conversation-content .videoscontainer").each(function(){d(this).siblings("div.post-signature").length||d(this).addClass("no-signature")})}var p=vBulletin.Responsive,x=0;p.scrollToFixedBreakPoint=480;p.ChannelContent={cloneAndMoveToolbarButtons:function(){function g(){var f=parseInt(d(this).data("js-movable-button-clone-id")||0,10);b=Math.max(b,f)}var k=d(".js-movable-toolbar-button"),m=d(".js-movable-toolbar-button-clone"),n=k,a=d(".js-movable-toolbar-button-container"),b=
0,c={};k.each(g);m.each(g);++b;k=k.filter(function(){var f=d(this),l="uniq-"+f.attr("class").split(/\s+/).sort().join("-")+"-"+f.attr("id");l=l.replace("-h-hide-on-small","");return c[l]?(f.addClass("h-hide-on-small"),!1):c[l]=!0});if(1>a.length){var e=!1;if(0<k.length){console.warn("Responsive warning: .js-movable-toolbar-button-container is not available.");var h=k.eq(0).closest(".canvas-widget");1==h.length&&(a=d("<div />").addClass("h-right h-clear hide-on-editmode b-button-group h-margin-bottom-l js-movable-toolbar-button-container h-hide-on-large"),
h.is(".b-module--contiguous")?(e=h.closest(".canvas-layout-row"),a.removeClass("h-right").addClass("b-button-group--contiguous-layout").prependTo(e),d("<div />").addClass("js-movable-toolbar-button-container-marker-desktop h-hide-imp").prependTo(e),d("<div />").addClass("js-movable-toolbar-button-container-marker-small h-hide-imp").insertBefore(h)):a.prependTo(h),console.log("Responsive: Created .js-movable-toolbar-button-container"),e=!0)}if(!e)return}k=k.filter(function(){var f=d(this).data("js-movable-button-clone-id");
if(f){var l=!1;m.each(function(){if(d(this).data("js-movable-button-clone-id")==f)return l=!0,!1});if(l)return!1}return!0});m.each(function(){var f=d(this),l=f.data("js-movable-button-clone-id"),r=!1;n.each(function(u,t){if(d(t).data("js-movable-button-clone-id")==l)return r=!0,!1});r||f.remove()});k=k.reverse();k.each(function(){var f=d(this);f.data("js-movable-button-clone-id")||(f.clone().removeAttr("id").removeClass("js-movable-toolbar-button").addClass("h-hide-on-large js-movable-toolbar-button-clone").data("js-movable-button-clone-id",
b).off("click").on("click",function(){f.trigger("click")}).prependTo(a),f.addClass("h-hide-on-small").data("js-movable-button-clone-id",b),++b)})},initToolbarShrink:function(){function g(c){d(".js-movable-toolbar-button-container, .js-movable-toolbar-button-clone").toggleClass("h-hide-on-large",c);d(".js-movable-toolbar-button, .js-button-filter-my-label").toggleClass("h-hide-imp",!c)}function k(c,e){e=e.closest(".conversation-toolbar-wrapper").next(".js-under-toolbar-pagenav");1==e.length&&e.parent().is(":visible")&&
(d(".js-toolbar-pagenav").toggleClass("h-hide-on-xsmall",c).toggleClass("h-hide-imp",!c),e.toggleClass("h-show-on-xsmall",c),d(".js-subtoolbar-list-header").toggleClass("h-hide",!c))}function m(c){k(!1,c);g(!0)}function n(c){k(!0,c);g(!1)}function a(c){k(!1,c);g(!1)}function b(){var c=d(this),e=[m,n,a];k(!0,c);g(!0);d.each(e,function(h,f){if("need_shrink"==q.checkElementShrinkRequirement(c))f(c);else return!1})}d(".conversation-toolbar > .js-shrink-event-parent").on("vbulletin:shrink",b).on("vbulletin:unshrink",
b)},initPmToolbarShrink:function(){function g(n){d(".js-movable-toolbar-button-container, .js-movable-toolbar-button-clone").toggleClass("h-hide-on-large",n);d(".js-movable-toolbar-button, .js-button-filter-my-label").toggleClass("h-hide-imp",!n)}function k(n){g(!1)}function m(){var n=d(this),a=[k];g(!0);d.each(a,function(b,c){if("need_shrink"==q.checkElementShrinkRequirement(n))c(n);else return!1})}d(".js-pm-floating-toolbar-content.js-shrink-event-parent, .js-pm-floating-toolbar-content > .js-shrink-event-parent").on("vbulletin:shrink",
m).on("vbulletin:unshrink",m)},movePmToolbarButtonContainer:function(){var g=d(".js-movable-toolbar-button-container.b-button-group--contiguous-layout");g.length&&(d("body").is(".l-small")?g.insertAfter(".js-movable-toolbar-button-container-marker-small"):g.insertAfter(".js-movable-toolbar-button-container-marker-desktop"))}};p.MediaQueries={setResizeEvent:function(){var g=this.handleResizeEvent;d(window).on("resize orientationchange",g)},handleResizeEvent:function(){var g=d("#vb-page-body").width();
g!=x&&(x=g,(g=vBulletin.contentslider)&&"function"==typeof g.handleWindowResize&&g.handleWindowResize())}};p.checkForVideoSignature=w;var q=p.Debounce;(function(){function g(a){var b=a.first(),c=b.position().top,e=b.outerHeight()/2+c,h=!0;a.each(function(f,l){f=d(l);l=f.position().top;if(l!=c&&(f=f.outerHeight()/2+l,2<Math.abs(f-e)))return h=!1});return h}function k(a){var b=!1;a.each(function(c,e){if(c<a.length-1){var h=d(e),f=a.eq(c+1);c=h.offset();e=f.offset();h=h[0].getBoundingClientRect();f=
f[0].getBoundingClientRect();c.bottom=c.top+h.height-1;c.right=c.left+h.width-1;e.bottom=e.top+f.height-1;e.right=e.left+f.width-1;if(!(c.right<e.left||c.bottom<e.top||e.right<c.left||e.bottom<c.top))return b=!0,!1}});return b}function m(a){q.callbacks.push(a)}function n(){var a=q.callbacks.length,b;for(b=0;b<a;++b)q.callbacks[b]()}(function(a,b){"$:nomunge";var c=a.jQuery||a.Cowboy||(a.Cowboy={}),e;c.throttle=e=function(h,f,l,r){function u(){function v(){y=+new Date;l.apply(A,B)}function C(){t=b}
var A=this,z=+new Date-y,B=arguments;r&&!t&&v();t&&clearTimeout(t);r===b&&z>h?v():!0!==f&&(t=setTimeout(r?C:v,r===b?h-z:h))}var t,y=0;"boolean"!==typeof f&&(r=l,l=f,f=b);c.guid&&(u.guid=l.guid=l.guid||c.guid++);return u};c.debounce=function(h,f,l){return l===b?e(h,f,!1):e(h,l,!1!==f)}})(this);d.extend(q,{areElementsOnOneRow:g,checkElementShrinkRequirement:function(a){var b=a.find("> .js-shrink-event-child").filter(":visible");if(1>b.length)return a=a.data("vbulletin-shrink-triggered"),"undefined"!=
typeof a&&"1"==a?"need_unshrink":"no_children";if(!g(b)||k(b))return a.data("vbulletin-shrink-triggered","1"),"need_shrink";a=a.data("vbulletin-shrink-triggered");return"undefined"!=typeof a&&"1"==a?"need_unshrink":"no_change"},checkShrinkEvent:function(a){"undefined"==typeof a&&(a=d(".js-shrink-event-parent"));a.each(function(b,c){b=d(c);switch(q.checkElementShrinkRequirement(b)){case "need_shrink":b.trigger("vbulletin:shrink");break;case "need_unshrink":b.trigger("vbulletin:unshrink")}})},init:function(){m(q.checkBrowserSize);
m(function(){var a=d(".l-row");1>a.length||a.reverse().each(function(){var b=d(this);if(768<=b.width())return b.removeClass("l-small"),!0;var c=b.find("> .l-col__flex-1, > .l-col__flex-2, > .l-col__flex-3, > .l-col__flex-4, > .l-col__flex-5, > .l-col__flex-6"),e=!1;b.removeClass("l-small");c.reverse().each(function(){if(this.offsetWidth<this.scrollWidth)return e=!0,!1});e&&b.addClass("l-small")})});m(function(){var a=d(".l-row > .l-col__large-1, .l-row > .l-col__large-2, .l-row > .l-col__large-3, .l-row > .l-col__large-4, .l-row > .l-col__large-5, .l-row > .l-col__large-6, .l-row > .l-col__large-7, .l-row > .l-col__large-8, .l-row > .l-col__large-9, .l-row > .l-col__large-10, .l-row > .l-col__large-11, .l-row > .l-col__large-12, .l-row > .l-col__fixed-1, .l-row > .l-col__flex-1, .l-row > .l-col__fixed-2, .l-row > .l-col__flex-2, .l-row > .l-col__fixed-3, .l-row > .l-col__flex-3, .l-row > .l-col__fixed-4, .l-row > .l-col__flex-4, .l-row > .l-col__fixed-5, .l-row > .l-col__flex-5, .l-row > .l-col__fixed-6, .l-row > .l-col__flex-6, .l-row > .l-col__small-1, .l-row > .l-col__small-2, .l-row > .l-col__small-3, .l-row > .l-col__small-4");
1>a.length||a.reverse().each(function(){var b=d(this),c=b.width(),e=parseInt(b.css("marginLeft"),10),h=parseInt(b.css("marginRight"),10);0>e&&(c+=e);0>h&&(c+=h);b.toggleClass("l-column-xsmall",480>c);b.toggleClass("l-column-small",768>c);b.toggleClass("l-column-desktop",768<=c)})});m(function(){d(".ui-dialog:visible .ui-dialog-content").each(function(a,b){a=d(b);a.trigger("vbulletin:dialogresize");a.dialog("option","position",{my:"center",at:"center",of:window,collision:"flipfit"});if(!a.is(".js-no-responsive-resize")){a.closest(".ui-dialog").hide();
b=d(window).width();a.closest(".ui-dialog").show();var c=a.dialog("option","width");if(c>b)a.data("original-dialog-width")||a.data("original-dialog-width",c),a.dialog("option","width",b);else if(c<b){var e=a.data("original-dialog-width");e&&c<e&&a.dialog("option","width",Math.min(e,b))}}})});m(q.checkShrinkEvent);m(p.ChannelContent.movePmToolbarButtonContainer);d(window).on("resize",d.debounce(300,n));n()},callbacks:[],registerCallback:m,runCallbacks:n,registerCallbackOnce:function(a){var b=!1;d.each(q.callbacks,
function(){if(a==this||""+a==""+this)return b=!0,!1});b||m(a)}})})();d(function(){p.MediaQueries.setResizeEvent();p.MediaQueries.handleResizeEvent();p.ChannelContent.cloneAndMoveToolbarButtons();p.ChannelContent.initToolbarShrink();p.ChannelContent.initPmToolbarShrink();var g=d(".search-results-widget .conversation-toolbar");g.addClass("desktop");if(g.find(".toolbar-pagenav").length){var k=d("<div>").addClass("conversation-toolbar mobile-search-results");k.insertAfter(g);k.append(g.find(".toolset-right").clone(!0,
!0))}w();d("html").hasClass("touch")&&(g=navigator.userAgent.toLowerCase(),firefoxIndex=g.indexOf("firefox"),windows7Index=g.indexOf("windows nt 6.1"),-1!==firefoxIndex&&-1!==windows7Index&&d("html").removeClass("touch").addClass("no-touch"));q.init()})})(jQuery);
